
/////// strformatter /////////////////////////////////////////////////////////:
//
// Format parser
//
// (c) Stephane Rodriguez
//

class strformatter
{
	// Members
	//
protected:
	long m_nLCID;
	char m_cThousandSep, m_cDecimalSep;
	BOOL m_bUseLocalSeparators;

	// Construction
	//
public:
	strformatter();

public:
	void SetLocale(long lcid);
	void SetSeparators(/*in*/char cThousandSep,/*in*/char cDecimalSep);

	// Methods
	//
public:
	void Format(/*in*/LPSTR szInput, 
				/*in*/LPSTR szFormat, 
				/*out*/LPSTR szOutputBuffer, /*in*/long nOutputBufferLen);


protected:
	void FormatLeftHand(/*in*/LPSTR szInput, 
		                /*in*/LPSTR szFormat, 
						/*in*/LPSTR szPtrDot, 
						/*out*/LPSTR szOutputBuffer, /*in*/long nOutputBufferLen,
						/*in*/char cThousandSep,
						/*in*/char cDecimalSep);
	void FormatRightHand(/*in*/LPSTR szInput, 
	                     /*in*/LPSTR szFormat, 
						 /*in*/LPSTR szPtrDot, 
						 /*out*/LPSTR szOutputBuffer, /*in*/long nOutputBufferLen,
						 /*in*/char cThousandSep,
						 /*in*/char cDecimalSep);

	BOOL IsDigit(LPSTR p);
};